Xcode 4.2 install for Snow Leopard fails with Untrusted OpenGLApps.pkg

August 8, 2012

So Xcode 4.2 for Snow Leopard doesn’t want to install and it doesn’t specifically state what’s wrong. Well figuring out what is wrong isn’t that hard. You can either use [APPLE KEY] + [SPACE BAR] or click on the spotlight search and type console. You can also go to Finder > Applications > Utilities > Console.

Once Console is opens make sure you see “Hide Log List” if you see “Show Log List” then click that button. Scroll down under the FILES section and choose install.log. Look to see if you find any Failed entries such as the one below.

Failed install preflight: Error Domain=PKInstallErrorDomain Code=102 UserInfo=0x1196ac980 “The package “OpenGLApps.pkg” is untrusted.” Underlying Error=(Error Domain=NSOSStatusErrorDomain Code=-2147409654 UserInfo=0x119655380 “The operation couldn’t be completed. CSSMERR_TP_CERT_EXPIRED”)

The resolution for this is to make sure you apply all of your security updates before installing Xcode and it will install properly.

+1 this post if it helped you!

Leave a Reply